<?php
require_once "../../maincore.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pb_rss_reader/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pb_rss_reader/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pb_rss_reader/locale/English.php";
}

if ( (!iUSER) AND (!iADMIN) AND (!iSUPERADMIN)) fallback("../../index.php");

require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// ##==========-----------------

function konfiguracja() {
  return dbarray( dbquery( 'SELECT * FROM '.DB_PREFIX.'pb_rss_reader_settings' ));
}

// ##==========-----------------

function dodajKanalRSS() {
  global $ustawienia;
  global $userdata;
  global $locale;

  $url2RSS = stripinput($_POST['frmURL']);

  if (strtolower(substr($url2RSS, 0, 7))!="http://") $url2RSS = "http://".$url2RSS;

  if ($ustawienia['user_pobieranie']) {
    if (!isset($_POST['frmIle']))
      $tmpval = $ustawienia['pobieranie'];
    else
      $tmpval = $_POST['frmIle'];
  }
  else
    $tmpval = $ustawienia['pobieranie'];

  if ( ( stripinput($_POST['frmZrodlo']) != "") AND ( strlen($url2RSS) > 7 ) ) {
    $query = '
      INSERT INTO '.DB_PREFIX.'pb_rss_reader
      (uid, url, zrodlo, kodowanie, max_wiadomosci)
      VALUES (
        '.$userdata['user_id'].',
        "'.$url2RSS.'",
        "'.stripinput($_POST['frmZrodlo']).'",
        "'.$ustawienia['strona_kodowa'].'",
        '.strval($tmpval).'
      )
    ';

    dbquery( $query );

    echo '
      '.$locale['pb_rss_102'].'<br>
      <a href="?akc=konfiguruj">'.$locale['pb_rss_103'].' &raquo;</a>
    ';
  }
  else
    echo '
      '.$locale['pb_rss_104'].'<br>
      <a href="?akc=konfiguruj">'.$locale['pb_rss_103'].' &raquo;</a>
    ';
}
// ##==========-----------------
function usunKanalRSS() {
  global $userdata;
  global $locale;

  dbquery('
    DELETE FROM '.DB_PREFIX.'pb_rss_reader
    WHERE
      uid = '.$userdata['user_id'].' AND id = '.$_GET['rid'].'
  ');

  echo '
    '.$locale['pb_rss_105'].'<br>
    <a href="?akc=konfiguruj">'.$locale['pb_rss_103'].' &raquo;</a>
  ';
}

// ##==========-----------------

function pokazUstawieniaRSS() {
  global $userdata;
  global $locale;
  
  $wynik = dbquery('SELECT * FROM '.DB_PREFIX.'pb_rss_reader WHERE uid = '.strval($userdata['user_id']) );
  if ( dbrows($wynik) > 0 ) {
    echo '<table width="100% "border="0" cellspacing="0" cellpadding="1">';
    while ($dane = dbarray( $wynik ) ) {
      echo '
        <tr>
          <td class="tbl1">'.$dane['zrodlo'].'</td>
          <td class="tbl1"><b>'.$dane['url'].'</b></td>
          <td class="tbl1" width="200px" align="center">'.$dane['ostatnio_pobrany'].'</td>
          <td class="tbl1" width="60px" align="center">[ <a href="'.FUSION_SELF.'?akc=czytaj&rid='.$dane['id'].'">'.$locale['pb_rss_111'].'</a> ]</td>
        </tr>
      ';
    }
    echo '</table>';

  }
  else
    echo $locale['pb_rss_106'];
}

// ##==========-----------------

function konfigurujKanalyRSS() {
  global $locale;
  global $ustawienia;
  global $userdata;

  $kanaly = dbquery( 'SELECT * FROM '.DB_PREFIX.'pb_rss_reader WHERE uid='.strval($userdata['user_id']) );

  if ( dbrows($kanaly) < $ustawienia['max_kanalow'] ) {
    echo '<br />';
    opentable($locale['pb_rss_107']);
    echo '
    <center>
    <form name="frmNowyRSS" action="?akc=dodajrss" method="POST">
    <table>

      <tr>
        <td valign="top">'.$locale['pb_rss_108'].' :</td>
        <td valign="top"><input size="40" class="textbox" type="text" name="frmZrodlo" value=""></td>
      </tr>

      <tr>
        <td valign="top">'.$locale['pb_rss_109'].' :<br><i>'.$locale['pb_rss_110'].' :<br><b>http://www.server.pl/channel.xml</b></i></td>
        <td valign="top"><input size="60" class="textbox" type="text" name="frmURL" value=""></td>
      </tr>
    ';

    if ($ustawienia['user_pobieranie'])
      echo '
      <tr>
        <td valign="top">Ilo wiadomoci pobierana podczas poczenia (0 - wszystkie): </td>
        <td valign="top"><input size="4" class="textbox" type="text" name="frmIle" value="'.$ustawienia['pobieranie'].'"></td>
      </tr>
      ';

    echo '
    </table>
      <input type="submit" class="textbox" value=" '.$locale['pb_rss_112'].' &raquo; ">
    </form>

    </center>
    ';
    closetable();
  }

  echo '<br>';
  opentable($locale['pb_rss_113']);
  if (dbrows($kanaly) > 0) {
    echo '
      <table width="100%" cellspacing="0" border="0" celpadding="1">
    ';
    $tbid = '1';
    while ($dane = dbarray( $kanaly) ) {
      echo '
        <tr>
          <td class="tbl'.$tbid.'">'.$dane['zrodlo'].'</td>
          <td class="tbl'.$tbid.'">'.$dane['url'].'</td>
          <td class="tbl'.$tbid.'">[ <a href="'.FUSION_SELF.'?akc=usun&rid='.$dane['id'].'">'.$locale['pb_rss_114'].'</a> ]</td>
        </tr>
      ';
      $tbid == '1' ? $tbid = '2': $tbid = '1';
    }
    echo '</table>';
  }
  else
    echo $locale['pb_rss_115'];
  closetable();
}
// ##==========-----------------

function pokazWiadomosciRSS($url) {
  global $rss;
  global $userdata;
  global $settings;
  global $locale;
  
  if ($rs = $rss->get($url)) {
    echo '
      <center>
      <table cellspacing="0" cellpadding="2" border="0">
    ';
    foreach ($rs["items"] as $item) {
      echo '
        <tr><td class="tbl1" align="left" valign="top">
          <b>'.stripinput( $item['title'] ).'</b>
          <u>( '.date( 'd.m.Y H:i:s', strtotime($item["pubDate"])).' )</u>

        </td></tr>
        <tr><td class="tbl2" valign="top">
        '.stripinput( $item['description'] ).'<br><br>
        <a href="'.$item['link'].'" target="_blank"><b>'.$locale['pb_rss_116'].' &raquo;</b></a>
        </td></tr>
        <tr><td>&nbsp;</td></tr>
      ';
    }
    echo '
      </table></center>
    ';
  }
  else
    echo '<br><b>'.$locale['pb_rss_117'].'</b>';
}

// ##==========-----------------

function czytajKanalRSS($rssid) {
  global $locale;
  global $rss;
  global $ustawienia;
  global $userdata;

  dbquery('UPDATE '.DB_PREFIX.'pb_rss_reader SET ostatnio_pobrany=NOW() WHERE id = '.strval($rssid) );

  $data = dbarray( dbquery('SELECT * FROM '.DB_PREFIX.'pb_rss_reader WHERE id='.strval($rssid).' AND uid='.strval($userdata['user_id']) ) );

  // Wlaczamy plik
  include_once (INFUSIONS."pb_rss_reader/lastRSS.php");

  // Create lastRSS object
  $rss = new lastRSS;

  // Set cache dir, cache interval and character encoding
  $rss->cache_dir = INFUSIONS."pb_rss_reader/rsscache";
  $rss->cache_time = (3600 * intval($ustawienia['czas_sprawdzania']) ) + 10; // (1h = 3600sec)
  $rss->cp = intval($data['kodowanie']);
  $rss->items_limit = intval($data['max_wiadomosci']);

   opentable($locale['pb_rss_118']);
   echo $locale['pb_rss_119'].' : <b>'.$data['zrodlo'].'</b><br>';
   echo $locale['pb_rss_120'].' : <b>'.$data['url'].'</b><br><hr>';
   pokazWiadomosciRSS($data['url']);
   closetable();
}

// KOD

$ustawienia = konfiguracja();

opentable($locale['pb_rss_101']);
echo '
  <center>
  <table width="100% cellspacing="0" cellpadding="1">
  <tr>
    <td align="center" valign="top">[ <a href="'.FUSION_SELF.'?akc=glowna">'.$locale['pb_rss_113'].'</a> ]</td>
    <td align="center" valign="top">[ <a href="'.FUSION_SELF.'?akc=konfiguruj">'.$locale['pb_rss_121'].'</a> ]</td>
  </tr>
  <tr><td colspan="2"><hr></td></tr>
  <tr>
    <td colspan="2" valign="top" align="center">
';
switch ($_GET['akc']) {
  case 'konfiguruj':
    konfigurujKanalyRSS();
  break;

  case 'dodajrss':
    dodajKanalRSS();
  break;

  case 'usun':
    usunKanalRSS();
  break;
  
  case 'czytaj':
    czytajKanalRSS($_GET['rid']);
  break;

  case 'glowna':
  default:
    pokazUstawieniaRSS();
  break;
}

echo '
  </td>
  </tr>
  </table>
  </center>
';
closetable();
// KOD
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
